<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\Pivot;

class DevisPiece extends Pivot
{
    use HasFactory;

    public function typereparation()
    {
        return $this->belongsTo(TypeReparation::class,'type_reparation_id');
    }
    public function operation()
    {
        return $this->belongsTo(Operation::class);
    }
    public function vehiculemodel()
    {
        return $this->belongsTo(VehiculeModel::class);
    }
}
